Download it now!
Bug 128976 - XLS damaging after saving in 6.3, 6.4
Summary: XLS damaging after saving in 6.3, 6.4
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, filter:xls, regression
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2019-11-23 09:29 UTC by bazilio
Modified: 2020-10-17 06:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (39.50 KB, application/vnd.ms-excel)
2019-11-23 09:30 UTC, bazilio
Details
Result file after saving in 6.3 or 6.4 (39.00 KB, application/vnd.ms-excel)
2019-11-23 09:31 UTC, bazilio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bazilio 2019-11-23 09:29:46 UTC
Description:
XLS file damaging after saving in 6.3, 6.4

Steps to Reproduce:
1. Load file 6.2.xls into 6.3 and 6.4
2. Change something and save file
3. File 6.3.xls result file saved by 6.3 with lost formatting

Actual Results:
Damaged file

Expected Results:
Normal file


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 bazilio 2019-11-23 09:30:55 UTC
Created attachment 156059 [details]
Example file
Comment 2 bazilio 2019-11-23 09:31:27 UTC
Created attachment 156060 [details]
Result file after saving in 6.3 or 6.4
Comment 3 Roman Kuznetsov 2019-11-23 17:58:49 UTC
confirm in

Version: 6.5.0.0.alpha0+
Build ID: d04eef858250f97690f32dba17f42d157a8767fc
CPU threads: 4; OS: Mac OS X 10.15.1; UI render: default; VCL: osx; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

but not in

Version: 6.2.7.1
Build ID: 23edc44b61b830b7d749943e020e96f5a7df63bf
CPU threads: 4; OS: Mac OS X 10.15.1; UI render: default; VCL: osx; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

so it's a regression
Comment 4 Roman Kuznetsov 2019-11-24 08:11:53 UTC
I bisected it

Result: source sha:071d72cc3662168c58358ce53a77ceacbf80f545

https://gerrit.libreoffice.org/#/c/71132/

CC: to Mike Kaganski
Comment 5 Mike Kaganski 2019-11-24 17:04:17 UTC
https://gerrit.libreoffice.org/83613
Comment 6 Commit Notification 2019-11-24 18:30:19 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e1f0c060f02db4515b2dc705bda17ee068d51b4

tdf#128976: properly calculate default value when writing XLS

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-24 20:22:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/8feaaaaef3b508ad96efbcc8321d058761d05a5d

tdf#128976: properly calculate default value when writing XLS

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-11-27 12:18:20 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 3a6f270edfffb97763927b2732feacedbdac1e80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!
Comment 9 Commit Notification 2019-12-04 22:52:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/7dbfadc2396f2efd385f69b944b2324540b8b0c5

tdf#128976: properly calculate default value when writing XLS

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Gerhard Schaber 2019-12-18 10:44:17 UTC
Is there a way to get a 6.3.5 build for Windows? I could not find a build for 6.3.5, nor a recent one for 6.4.0.